import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheckAnswerItem = (params) => request('/api/taCheckAnswerItem', { params });

/*
 * 新增数据
 */
export const postTaCheckAnswerItem = (data) => request('/api/taCheckAnswerItem', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckAnswerItemById = (id) => request(`/api/taCheckAnswerItem/${id}`);

/**
 * 更新数据
 * @param {*} id
 * @param {*} data
 * @returns
 */
export const putTaCheckAnswerItem = (id, data) => request(`/api/taCheckAnswerItem/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheckAnswerItem = (id) => request(`/api/taCheckAnswerItem/${id}`, { method: 'delete' });
